<?php
function get_cached_post_tag_by_name($name) {
    $_cache_name = $name . "_post_tag";
    $term = wp_cache_get($_cache_name);
    if (false == $term) {
        $term = get_term_by('name', $name, 'post_tag');
        wp_cache_set($_cache_name, serialize($term));
    } else {
        $term = unserialize($term);
    }
    return $term;
}
?>